For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Cart Emails
        • Custom Template Associations
        • Email Templates
        • Pages
        • Marketing
        • Store Content
              • GETList Pages (deprecated)
              • POSTCreate Page (deprecated)
              • GETGet Page (deprecated)
              • PUTUpdate Page (deprecated)
              • DELDelete Page (deprecated)
        • Themes
        • Widgets
        • Page Widgets
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminContentStore ContentPages

Delete Page (deprecated)

Deprecated
DELETE
https://api.bigcommerce.com/stores/:store_hash/v2/pages/:id
DELETE
/stores/:store_hash/v2/pages/:id
$curl -X DELETE https://api.bigcommerce.com/stores/store_hash/v2/pages/1 \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>"
Deletes a *Page*. > #### Warning > **Deprecated** > * This API operation is deprecated. Avoid using this API operation if possible. It will be removed in a future version. > * To delete multiple pages, use Pages V3ʼs [Delete pages](/developer/api-reference/rest/admin/content/pages/delete-pages) endpoint. To delete a single page, use Pages V3ʼs [Delete a page](/developer/api-reference/rest/admin/content/pages/delete-page) endpoint.
Was this page helpful?
Previous

Update Page (deprecated)

Next

List Redirects

Built with

Deletes a Page.

Warning

Deprecated

  • This API operation is deprecated. Avoid using this API operation if possible. It will be removed in a future version.
  • To delete multiple pages, use Pages V3ʼs Delete pages endpoint. To delete a single page, use Pages V3ʼs Delete a page endpoint.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Contentmodifystore_v2_content
Contentread-onlystore_v2_content_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

idintegerRequired
ID of the page.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Response